{% extends "base.html" %}

<!--dynamic table-->
{% block extrahead %}
    {% load staticfiles %}
    <link href="{% static "assets/datatables/css/dataTables.bootstrap.min.css" %}" rel="stylesheet">
{% endblock %}

{% block title %}Customers List{% endblock %}
{% block customer_active %}active{% endblock %}
{% block parent_customer_a_active %}active{% endblock %}
{% block parent_customer_i_active %}active{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-sm-12">
            <section class="panel panel-content">
                <header class="panel-heading" style="font-size: 20px">
                    <span>Customers List</span>
{#                    <span class="tools pull-right">#}
{#                            <a class="btn btn-success start" href="{% url 'add_customer' %}">#}
{#                                <i class="glyphicon glyphicon-plus"></i>#}
{#                                <span>Add New</span>#}
{#                            </a>#}
{#                    </span>#}
                </header>
                <div class="panel-body">
                    <div class="adv-table table-responsive">
                        <table class="display table table-bordered table-striped"
                               id="customers-table">
                            <thead>
                            <tr>
                                <th class="center text-center ver-center">No</th>
                                <th class="left text-center ver-center">Area</th>
                                <th class="left text-center ver-center">Membership</th>
                                <th class="left text-center ver-center">Name</th>
                                <th class="center text-center ver-center">Phone</th>
                                <th class="center text-center ver-center">Email</th>
                                <th class="center text-center ver-center">Age</th>
                                <th class="center text-center ver-center">Gender</th>
                                <th class="center text-center ver-center">Current Point</th>
                                <th class="center text-center ver-center">Action</th>
                            </tr>
                            </thead>
                        </table>

                    </div>
                </div>
            </section>
        </div>
    </div>
    {#Comfirm Delete#}
    <div class="modal fade" id="confirmDelete" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-hidden="true">&times;</button>
                    <h4 class="modal-title"><strong>Delete Customer</strong></h4>
                </div>
                <div class="modal-body" style="padding-bottom: 0px!important; padding: 0 3%;">
                    <form action="">
                        <div class="form-group">
                            <label>Are you sure you want to delete?</label>
                        </div>
                    </form>
                </div>
                <div class="modal-footer" style="text-align: center">
                    <button class="btn btn-default" type="button" data-dismiss="modal">No
                    </button>
                    <a id="comfirm-yes">
                        <button class="btn btn-danger" type="button">Yes</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
    {#End Comfirm delete#}
{% endblock %}
{% block extrafoot %}

    <script src="{% static 'assets/datatables/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'assets/datatables/js/dataTables.bootstrap.min.js' %}"></script>
    <!--dynamic table initialization -->
    <script src="{% static 'js/dynamic_table_init.js' %}"></script>
    <script>

        $(document).ready(function () {

            //Disable table error alert
            $.fn.dataTable.ext.errMode = 'throw';

            $('#customers-table').dataTable({
                "order": [[0, "desc"]],
                "serverSide": true,

                "ajax": {
                    "url": "{% url 'get_customers_list_as_json' %}",
                },
                "columns": [
                    {
                        "orderable": true,
                        "data": null,
                        "width": '5%',
                        "sClass": 'text-center',
                        "render": function (data, type, row, meta) {
                            return row.stt
                        }
                    },
                    {"data": "area_name", "width": '10%'},
                    {
                        "orderable": true,
                        "data": null,
                        "width": '5%',
                        "render": function (data, type, full, meta) {
                            var ahihi = '<a href="/cms/customers/edit/' + full.id + '">' + full.number + '</a>'
                            return ahihi;
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
                        "width": '15%',
                        "render": function (data, type, full, meta) {
                            var ahihi = '<a href="/cms/customers/edit/' + full.id + '">' + full.name + '</a>'
                            return ahihi;
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
                        "width": '8%',
                        "render": function (data, type, full, meta) {
                            var ahihi = '<a href="/cms/customers/edit/' + full.id + '">' + full.phone + '</a>'
                            return ahihi;
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
                        "width": '15%',
                        "render": function (data, type, full, meta) {
                            var ahihi = '<a href="/cms/customers/edit/' + full.id + '">' + full.email + '</a>'
                            return ahihi;
                        }
                    },
                    {"data": "age", "width": '5%'},
                    {
					    "orderable": true,
                        "data": 'sex',
                        "width": '5%',
                        "sClass": "text-center",
                        "render": function (data, type, row, meta) {
                            if (row.sex == 0) {
                                return 'Male'
                            }
                            if (row.sex == 1) {
                                return 'Female'
                            }
                            if (row.sex == 2) {
                                return 'Unknown'
                            }
                        }
                    },
                    {"data": "current_point", "width": '5%'},
                    {
                        "orderable": false,
                        "data": null,
                        "width": '5%',
                        "render": function(data, type, row, meta) {
                            if (row.is_delete == 0) {
                                return '<a style="cursor: pointer;" onclick="deleteCp(' + row.id + ')">Delete</a>'
                            }
                            if (row.is_delete == 1) {
                                return '<span class="fa fa-trash-o text-danger">Deleted</span>'
                            }
                        }
                    },
                ]
            });

        })
        function deleteCp(id) {
            var url = '/cms/customers/delete/' + id + '/'
            $("#confirmDelete").modal("show");
            $("#comfirm-yes").attr("href", url);
        }
    </script>
{% endblock %}
